Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IComponent

    java.lang.Object
      igeo.gui.IComponent

Direct Known Subclasses:
  IPane, IPanel

    public class IComponent

extends java.lang.Object

Base class of custom GUI components.

Field Summary
`int` | `height`
`boolean` | `visible`
`int` | `width`
`int` | `x`
`int` | `y`

Constructor Summary
`IComponent(int x, int y, int width, int height)`

Method Summary
`boolean` | `contains(int x, int y)`
`int` | `getHeight()`
`int` | `getWidth()`
`int` | `getX()`
`int` | `getY()`
`void` | `hide()`
`boolean` | `isVisible()`
`void` | `setBounds(IComponent c)`
`void` | `setBounds(int x, int y, int width, int height)`
`void` | `setLocatoin(int x, int y)`
`void` | `setSize(int width, int height)`
`void` | `show()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public int x

### y

    public int y

### width

    public int width

### height

    public int height

### visible

    public boolean visible

Constructor Detail

### IComponent

    public IComponent(int x,
                      int y,
                      int width,
                      int height)

Method Detail

### setBounds

    public void setBounds(int x,
                          int y,
                          int width,
                          int height)

### setBounds

    public void setBounds(IComponent c)

### setLocatoin

    public void setLocatoin(int x,
                            int y)

### setSize

    public void setSize(int width,
                        int height)

### getX

    public int getX()

### getY

    public int getY()

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### isVisible

    public boolean isVisible()

### hide

    public void hide()

### show

    public void show()

### contains

    public boolean contains(int x,
                            int y)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD